from django.contrib import admin
from graphics.models import GraphicsImage, GraphicsMachine, GraphicsMetric


class GraphicsImageAdmin(admin.ModelAdmin):
    list_display = (
        'release',
        'variant',
        'arch',
        'build_number',
        )


class GraphicsMachineAdmin(admin.ModelAdmin):
    list_display = (
        'name',
        'mac_address',
        )


class GraphicsMetricAdmin(admin.ModelAdmin):
    list_display = (
        'jenkins_build',
        'test_resolution',
        'framework',
        'machine',
        'image',
        'name',
        )

admin.site.register(GraphicsImage, GraphicsImageAdmin)
admin.site.register(GraphicsMachine, GraphicsMachineAdmin)
admin.site.register(GraphicsMetric, GraphicsMetricAdmin)
