from django.core.management import call_command
from django.core.urlresolvers import reverse_lazy
from django.conf.urls import include, patterns, url
from common.plugin_helper import Extension


class GraphicsExtension(Extension):

    URL_PATTERNS = patterns(
        '',
        url(r'^graphics/', include('graphics.urls')),
        url(r'^api/graphics/', include('graphics.urls_api')),
    )

    LINKS = [
        {
            'name': 'graphics',
            'url': reverse_lazy('openarena'),
            'label': 'Graphics',
            'index': 800,
        },
    ]

    def pull_data(self):
        call_command('jenkins_pull_phoronix')

    @classmethod
    def name(cls):
        return cls.__name__

extension = GraphicsExtension()
