from django.db import models
from common.models import JenkinsBuild
from performance.models import ImageBase, MachineBase, MetricBase


class GraphicsMachine(MachineBase):
    """ Graphics Machine model. """
    gfx_manufacturer = models.CharField(max_length=4096)
    gfx_model = models.CharField(max_length=4096)

    class Meta:
        db_table = "graphics_machines"


class GraphicsImage(ImageBase):

    class Meta:
        db_table = 'graphics_images'


class GraphicsMetric(MetricBase):
    """ Memory metric model. """

    class Meta:
        db_table = "graphics_metrics"

    image = models.ForeignKey(GraphicsImage, null=True)
    # release - charfield
    # variant- charfield
    # arch - charfield
    # md5 - charfield
    # build_number - charfield
    # image_type - charfield - choices
    # - daily image
    # - release image
    machine = models.ForeignKey(GraphicsMachine)
    # name - charfield
    # mac_address - charfield
    jenkins_build = models.ForeignKey(JenkinsBuild, null=True)
    # job - ForeignKey Jenkinsjob
    # -- url URLField
    # -- name charfield
    # failed - boolean
    # bugs - ManytoManyField - Bug - related name build bug
    # -- bug_no - charfield
    # -- title - charfield
    # -- status - charfield
    # -- project - charfield
    # -- importance -- charfield
    # -- assignee -- charfield
    # build number - charfield
    # build description - charfield
    # ran_at
    test_resolution = models.CharField(max_length=4096)
    framework = models.CharField(max_length=128)
    # name - charfield
    # minimum - float
    # maximum - float
    # average - float
    # stddev - float
    # ran_at - datetime
    # jenkins_url
