percentage = {}

function wait_for_object_with_key(key, tag){
    var runner;
    var keep_running = true;
    var count = 0;
    var temp = "??";
    (runner = function() {
        var temp = percentage;
        if(temp.hasOwnProperty(key)){
            keep_running = false
            if(temp[key] != key){
                document.getElementById("percentage-" + tag).innerHTML = "<div class='center-text'>" +
                '<p>' + temp[key] + '% </p> </div>';
            }
            else{
                document.getElementById("chart-" + tag).innerHTML = ""
            }
            return temp;
        };
        count++;
        var temp = "??";
        if (count < 120 && keep_running){
            setTimeout(runner, 500);
        };
    })();
    return temp;
}; //wait_for_object_with_key

function create_percentage(data, ylabel){
    var xmir_key = false;
    var xmir_list = [];
    var x_key = false;
    var x_list = [];
    var key_name
    var ylabel = ylabel || ""
    for (var key in data) {
        var key_name = data[key].key
        if(key_name.indexOf("-xmir-") != -1){
          var xmir_key = key_name;
          xmir_list.push(data[key].values[0]);
        }
        if(key_name.indexOf("-x-") != -1){
          var x_key = key_name;
          x_list.push(data[key].values[0]);
        }
    };


    if (xmir_key && x_key) {
      var percent_key = x_key.replace('-x', '');
      var x_num = x_list[0][1];
      var xmir_num = xmir_list[0][1];

      if (ylabel.indexOf("lower is better") != -1) {
          if (x_num > xmir_num) {
              var total = 100-((xmir_num/ x_num)*100);
          }
          else {
              var total = ((x_num/ xmir_num)*100)-100;
          }
      }
      else {
          if (x_num > xmir_num) {
              var total = ((xmir_num/ x_num)*100)-100;
          }
          else {
              var total = 100-((x_num/ xmir_num)*100);
          }
      } 

      percentage[percent_key] = total.toFixed(3);
      return percentage;
    }
    else if (x_key || xmir_key){
          var percent_key = key_name.replace(/-xmir|-x/g, '');
          percentage[percent_key] = percent_key;
          return percentage
    }

    return false;
}; //create percentage


function create_phoronix_multibar_chart(data_url, machine_name, ylabel){

    var ylabel = ylabel || "Frames Per Second";

    d3.json(data_url, function(data) {
        for (var key in data) {
            var key_name = data[key].key;
            if(key_name.indexOf('gui-toolkit') != -1){
                key_name = key_name.replace(
                    / |gui-toolkit-|GtkPerf-|le-|-he|ps-/gi, '');
                data[key].key = key_name;
            };
        }; // for key in data


        add_chart =  nv.addGraph(function() {

            var chart = nv.models.multiBarChart()
                .x(function(d) { return d[0] })
                .y(function(d) { return d[1] })
                .margin({bottom: 100, left: 90})
                .showControls(false)
                .reduceXTicks(true)
                .color(["#dd4814", "#ff7f4d"])
                .tooltip(function(key, x, y, e, graph) {
                     return '<h3>' + key + '</h3>' +
                     '<p>' + 'Average: ' + y + '</p>' +
                     '<p>' + 'Standard Deviation: ' + e.point[5]  + '</p>' +
                     '<p>' + 'Minimum: ' + e.point[4]  + '</p>' +
                     '<p>' + 'Maximum: ' + e.point[3]  + '</p>' +
                     '<p>' + 'On ISO: ' + x + '</p>';
                });

            chart.xAxis

            chart.multibar.dispatch.on('elementDblClick', function(e) {
                jenkins_build_url = e.point[6]
                window.location.href = jenkins_build_url.replace(
                    'benchmark_data.json', '')
            });

            chart.yAxis
                .tickFormat(d3.format(',.2f'))
                .axisLabel(ylabel);
 
            d3.select('#chart-' + machine_name + ' svg')
                .datum(data)
                .transition().duration(500)
                .call(chart);

            d3.selectAll('.nv-x.nv-axis').selectAll('g').selectAll('text')
                .attr('transform', function(d) { return 'translate (-13, 25) rotate(-45 0,0)' });

            nv.utils.windowResize(chart.update);


            return chart;
        }); // add_chart
        create_percentage(data, ylabel);
    }); //d3.json
}; //create_phoronix_multibar chart

function create_phoronix_line_chart(data_url, chart_name, ylabel){

    var ylabel = ylabel || "Frames Per Second"

    d3.json(data_url, function(data) {
        nv.addGraph(function() {
            var chart = nv.models.lineChart()
                .x(function(d) { return d[0] * 1000 })
                .y(function(d) { return d[1] })
                .margin({bottom: 75, left: 100, right: 70});

            chart.xAxis
                .tickFormat(function(d) {
                    return d3.time.format('%Y%m%d')(new Date(d))
                })
                .staggerLabels(true);

            chart.yAxis
                .tickFormat(d3.format(',.2f'))
                .axisLabel(ylabel);

            d3.select('#chart-' + chart_name + ' svg')
                .datum(data)
                .transition().duration(500)
                .call(chart);

            // can't use this unless all dates have data, will be horizontal after selecting and unselecting a machine
            //d3.selectAll('.nv-x.nv-axis').selectAll('g').selectAll('text')
            //  .attr('transform', function(d) { return 'translate (-13, 25) rotate(440 0,0)' });

            nv.utils.windowResize(chart.update);

            return chart;
        }); //addGraph
    }); //d3.json
}; // create_phoronix_line_chart
